i2o_msg_in_to_virt
Prev | I2O message devices | Next

## Name

i2o_msg_in_to_virt — Turn an I2O message to a virtual address

## Synopsis

`struct i2o_message __iomem * i2o_msg_in_to_virt (` | struct i2o_controller * | c,
| u32 | m`)`;

## Arguments

`c`

  controller

`m`

  message engine value

## Description

Turn a send message from an I2O controller bus address into a Linux virtual address. The shared page frame is a linear block so we simply have to shift the offset. This function does not work for receive side messages as they are kmalloc objects in a different pool.

Prev | Up | Next
i2o_msg_out_to_virt | Home | i2o_msg_get